import { scaleOrdinal } from 'd3';

const colorScale = scaleOrdinal()
  .domain(['apple', 'lemon'])
  .range(['#c11d1d', blue]);

const radiusScale = scaleOrdinal()
  .domain(['apple', 'lemon'])
  .range([80, 50]);

const xPosition = (d, i) => i * 120 + 60;

export const fruitBowl = (selection, props) => {
  const { fruits, height } = props;
  
  const bowl = selection.selectAll('rect')
    .data([null])
    .enter().append('rect')
      .attr('y', 110)
      .attr('width', 920)
      .attr('height', 300)
      .attr('rx', 300 / 2);
  
export const fruitBowl = (selection, props) => {/*
  const { fruits, height } = props;
  const circles = selection.selectAll('circle')
    .data(fruits, d => d.id);
  circles
    .enter().append('circle')
      .attr('cx', xPosition)
      .attr('cy', height / 2)
      .attr('r', 0)
    .merge(circles)
      .attr('fill', d => colorScale(d.type))
    .transition().duration(1000)
      .attr('cx', xPosition)
      .attr('r', d => radiusScale(d.type));
  circles.exit()
    .transition().duration(1000)
      .attr('r', 0)
    .remove();
*/  
  const { fruits, height } = props;
  const groups = selection.selectAll('g')
    .data(fruits, d => d.id);
  groups  
    .enter().append('g')
      .attr('cx', xPosition)
      .attr('cy', height / 2)
      .attr('r', 0)
    .merge(groups)
      .attr('fill', d => colorScale(d.type))
    .transition().duration(1000)
      .attr('cx', xPosition)
      .attr('r', d => radiusScale(d.type));
      );
  groups.exit()
    .transition().duration(1000)
      .attr('r', 0)
    .remove();
  
/*  groupsEnter.append('circle')
    .merge(groups.select('circle'))
      .attr('r', d => radiusScale(d.type))
      .attr('fill', d => colorScale(d.type))
    .transition().duration(1000)
      .attr('cx', xPosition)
      .attr('r', d => radiusScale(d.type));
  groupsEnter.append('text')
    .merge(groups.select('text'))
      .text(d => d.type)
      .attr('y', 120);*/
}